#!/bin/bash -l

#SBATCH -p 1CN96C8G1H_MI250_Ubuntu22
##SBATCH -p 1CN_MI250_Hackathon_Ubuntu22
#SBATCH -N 1
#SBATCH --cpus-per-task=12
#SBATCH --gres=gpu:1
#SBATCH --ntasks-per-node=1
#SBATCH --time=00:10:00
#SBATCH -e job.err
#SBATCH -o job.out

module load rocm@5.4.3
spack load gmp mpfr openmpi fftw hdf5 c-lime

OMP_NUM_THREADS=8 mpirun -np 1 --bind-to none ./helper.sh ./hello_jobstep

OMP_NUM_THREADS=8 mpirun -np 1 --bind-to none ./helper.sh omnitrace ./Benchmark_Grid --accelerator-threads 8 --mpi 1.1.1.1 --shm 2048 --comms-overlap --comms-concurrent --shm-mpi 0 --json-out 1GPU_1_1_1_1_test_05_04_23.json
